## zap 1.4.9-1

=== Makefile ===
# ZAP!
# $Id: Makefile.in,v 1.13 2003/11/15 11:59:34 adam Exp $
SHELL=/bin/sh

prefix=

exec_prefix=${prefix}

PACKAGE=zap
VERSION=1.4.9
SPEC_FILE=$(PACKAGE).spec
HTML_ZAP=$(prefix)/home/httpd/html

all:
	cd src; make all

.PHONY: doc
doc:
	cd doc; make

install:
	cd src; make install

install-html:
	./mkinstalldirs $(HTML_ZAP)
	cp -r htdocs/zap $(HTML_ZAP)

clean:
	cd src; make clean

dist: configure doc
	if test -d $(PACKAGE); then rm -fr $(PACKAGE); fi
	if test -d $(PACKAGE)-$(VERSION); then rm -fr $(PACKAGE)-$(VERSION); fi
	cvs co $(PACKAGE)
	cp configure $(PACKAGE)
	find $(PACKAGE) -name CVS -type d -print|xargs rm -fr
	find $(PACKAGE) -name .cvsignore -type f -print|xargs rm -f
	cp doc/*.html $(PACKAGE)/doc
	cp doc/*.png $(PACKAGE)/doc
	cp doc/*.pdf $(PACKAGE)/doc
	mv $(PACKAGE) $(PACKAGE)-$(VERSION)
	tar zcvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -fr $(PACKAGE)-$(VERSION)

rpm: $(PACKAGE)-$(VERSION).tar.gz
	cp $(PACKAGE)-$(VERSION).tar.gz /usr/src/redhat/SOURCES
	rpm -ba $(SPEC_FILE)
