=== doc/Makefile ===
## $Id: Makefile.in,v 1.5 2003/11/15 11:33:13 adam Exp $

XMLFILES=zap.xml.in introduction.xml installation.xml general-notes.xml \
 template-invocation.xml input-parameters.xml result-variables.xml \
 template-sections.xml ccl.xml record-formatting.xml advanced-features.xml \
 indexdata.xml license.xml

HTMLFILES = zap.html introduction.html

SUPPORTFILES=tkl.xsl xml.dcl id.eps 

doc_DATA = $(HTMLFILES) zap.pdf id.png sections.png

EXTRA_DIST = $(XMLFILES) $(SUPPORTFILES) $(doc_DATA)

all: $(HTMLFILES) zap.pdf

$(HTMLFILES): $(XMLFILES)  
	jade -E14 -d yazhtml.dsl -t sgml xml.dcl zap.xml

zap.pdf: $(XMLFILES) id.png
	jade -E14 -d yazprint.dsl -t tex xml.dcl zap.xml
	pdfjadetex zap.tex
	pdfjadetex zap.tex
	pdfjadetex zap.tex

index.tkl: $(XMLFILES) tkl.xsl
	xsltproc tkl.xsl zap.xml

clean:
	rm -f *.html *.pdf *.tkl
