=== src/Makefile ===
# Copyright (C) 1997-2000 Index Data
# All rights reserved.
# $Id: Makefile.in,v 1.9 2004/03/23 12:54:12 adam Exp $

SHELL=/bin/sh

RANLIB=ranlib

prefix = 

YAZLIB=-lyaz -lexslt -lxslt -lxml2 -lssl -lcrypto -lwrap -lnsl
YAZINC=-DYAZ_HAVE_XML2=1 -DYAZ_HAVE_XSLT=1 -DYAZ_HAVE_EXSLT=1 -I/usr/include/libxml2

TCLINC=-I/usr/include/tcl8.4
TCLLIB= -ltcl8.4${TCL_DBGX} -ldl -lpthread -lieee -lm

DEFS=$(YAZINC) $(TCLINC) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DHAVE_VSNPRINTF=1 -DUSE_TCL=1 -DUSE_APACHE=1 -DUSE_ES=1

APXS=/usr/bin/apxs

LIBEXECDIR=$(prefix)/usr/lib/apache/1.3

CC=gcc

SRC=mod_zap.c zap_es.c

all: mod_zap.so

# CGI
zap: $(SRC) zap.h
	$(CC) $(DEFS) -o zap $(SRC) $(TCLLIB) $(YAZLIB)

# Apache 1 DSO
mod_zap.so: $(SRC) zap.h
	$(APXS) -c -n mod_zap $(DEFS) $(SRC) $(TCLLIB) $(YAZLIB)

# Apache 2 DSO
mod_zap.la: $(SRC) zap.h
	$(APXS) -c -n mod_zap $(DEFS) $(SRC) $(TCLLIB) $(YAZLIB)

install-rpm: $(LIBEXECDIR)
	cp mod_zap.so $(LIBEXECDIR)

install: mod_zap.so
	$(APXS) -i -a mod_zap.so
	cp 520mod_zap.info $(LIBEXECDIR)
	@conf="`$(APXS) -q SYSCONFDIR`/httpd.conf"; \
	if test -r $${conf}; then \
		if ! grep 'AddHandler zap-script' $${conf} >/dev/null; then \
			echo "NOTE:"; \
			echo "Add the following to $${conf}"; \
			echo " AddHandler zap-script .zap"; \
		fi; \
	fi

$(LIBEXECDIR):
	../mkinstalldirs $(LIBEXECDIR)

clean:
	rm -f *.[oa] mod_zap.so *.slo *.lo zap
	rm -f core mon.out gmon.out errlist
