=== debian/changelog ===
zap (1.4.9-1) unstable; urgency=low

  * Upstream. YAZ 3.0.2.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 08 May 2007 12:02:00 +0200

zap (1.4.8-1) unstable; urgency=low

  * Using libyaz3.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 07 May 2007 11:52:33 +0200

zap (1.4.7-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 22 Dec 2006 18:57:46 +0100

zap (1.4.6-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  4 Sep 2006 14:49:21 +0200

zap (1.4.5-4) unstable; urgency=low

  * Fix postrm for woody.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  3 May 2004 21:23:54 +0200

zap (1.4.5-3) unstable; urgency=low

  * Added libapache-mod-zap-doc.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  3 May 2004 15:03:37 +0200

zap (1.4.5-2) unstable; urgency=low

  * Update inst/rm scripts to make package work for both woody and/sarge

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  3 May 2004 14:39:14 +0200

zap (1.4.5-1) unstable; urgency=low

  * Initial Release.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 23 Mar 2004 09:37:40 +0100
