=== debian/control ===
Source: zap
Section: web
Priority: extra
Maintainer: Adam Dickmeiss <adam@indexdata.dk>
Build-Depends: debhelper (>= 4.0.0), libyaz3-dev, apache-dev (>= 1.3.18-1), tcl8.4-dev|tcl8.3-dev
Standards-Version: 3.6.0

Package: libapache-mod-zap
Architecture: any
Depends: apache-common, ${shlibs:Depends}
Description: ZAP - Z39.50 Apache Module
 ZAP! is an Apache module which allows you to build simple WWW
 interfaces to Z39.50 servers, requiring only a minimum of knowledge
 about the Z39.50 standard. ZAP! hides most of the complexity of
 session management, parallel searching, etc.  ZAP may be compiled as
 an Apache module or as a standalone CGI program.

Package: libapache-mod-zap-doc
Architecture: all
Description: ZAP - Documentation for Z39.50 Apache Module
 ZAP! is an Apache module which allows you to build simple WWW
 interfaces to Z39.50 servers, requiring only a minimum of knowledge
 about the Z39.50 standard. ZAP! hides most of the complexity of
 session management, parallel searching, etc.  ZAP may be compiled as
 an Apache module or as a standalone CGI program.
