## zap 1.5.0+git20170802.3.e68420e

=== debian/changelog ===
zap (1.5.0+git20170802.3.e68420e-2) unstable; urgency=medium

  * Rename /usr/bin/readme to /usr/bin/zap-readme

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Sep 2017 15:46:35 +0530

zap (1.5.0+git20170802.3.e68420e-1) unstable; urgency=medium

  * Initial release (Closes: #872032)

 -- Pirate Praveen <praveen@debian.org>  Sun, 13 Aug 2017 21:45:49 +0530
