=== debian/control ===
Source: zap
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
#               golang-github-apex-log-dev,
#               golang-github-go-kit-kit-dev,
#               golang-github-pkg-errors-dev,
#               golang-github-rs-zerolog-dev,
#               golang-github-sirupsen-logrus-dev,
#               golang-github-stretchr-testify-dev,
#               golang-go.pedge-lion-dev,
               golang-go.uber-atomic-dev,
               golang-go.uber-multierr-dev,
#               golang-gopkg-inconshreveable-log15.v2-dev
Standards-Version: 4.0.0
Homepage: https://go.uber.org/zap
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/zap.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/zap.git
XS-Go-Import-Path: go.uber.org/zap
Testsuite: autopkgtest-pkg-go

Package: zap
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Blazing fast, structured, leveled logging in Go
 In contexts where performance is nice, but not critical, use the
 SugaredLogger. It's 4-10x faster than other structured logging
 packages and includes both structured and printf-style APIs.
 .
 When performance and type safety are critical, use the Logger. It's even
 faster than the SugaredLogger and allocates far less, but it only supports
 structured logging.
