=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_install:
	dh_install
	mv debian/zap/usr/bin/readme debian/zap/usr/bin/zap-readme

override_dh_auto_test:
	# github.com/pkg/errors and github.com/apex/log not packaged
	echo "Tests Disabled"
